# $Revision: 1.27.2.1 $, $Date: 2003/03/13 00:56:38 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Algorithm
%define		pnam	Diff
Summary:	Algorithm::Diff perl module
Summary(pl):	Modu perla Algorithm::Diff
Name:		perl-Algorithm-Diff
Version:	1.15
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Algorithm::Diff finds differences between two files, two strings, etc.

%description -l pl
Algorithm::Diff wyszukuje rnice pomidzy dwoma plikami, acuchami,
itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{perl_sitelib}/Algorithm/*.pl
%{perl_sitelib}/Algorithm/*.pm

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Algorithm-Diff.spec,v $
Revision 1.27.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.27  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:25:36  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/09/16 08:10:24  ankry
- added tests on bcond
- new %%doc, cleaning
- remove %{perl_sitelib}/Algorithm dir (moved to perl)
- release 2

Revision 1.24  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 20:28:00  areq
- 1.15, STBR

Revision 1.22  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.20  2002/02/24 23:27:41  kloczek
- cosmetics.

Revision 1.19  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:04:41  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:11  mis
- buildarch noarch; release++

Revision 1.14  2001/04/17 12:05:00  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 23:49:49  baggins
- release 4
- removed empty perl_sitearch dir from %%files
- added missing files to %%files

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2000/12/27 15:43:08  kloczek
- rebuild on perl 5.6.

Revision 1.10  2000/11/20 00:53:04  kloczek
- release 2: added using new rpm automation.

Revision 1.9  2000/08/16 16:15:49  kloczek
- updated to 1.10.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/05/02 21:05:02  baggins
- fixed including macros

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.2  1999/10/02 21:25:09  pius
- fixes in %%files

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
